## hkl-lattice-private

hkl-lattice-private

## Functions

GQuark | hkl_lattice_error_quark ()
void | hkl_lattice_lattice_set ()
void | hkl_lattice_randomize ()
void | hkl_lattice_fprintf ()

## Types and Values

| HklLattice
#define | HKL_LATTICE_ERROR
enum | HklLatticeError

## Description

## Functions

### hkl_lattice_error_quark ()

    GQuark
    hkl_lattice_error_quark (void);

### hkl_lattice_lattice_set ()

    void
    hkl_lattice_lattice_set (HklLattice *self,
                             const HklLattice *lattice);

[skip]

#### Parameters

self | the this ptr |
lattice | the lattice to set from. |

### hkl_lattice_randomize ()

    void
    hkl_lattice_randomize (HklLattice *self);

randomize the lattice

[skip]

### hkl_lattice_fprintf ()

    void
    hkl_lattice_fprintf (FILE *f,
                         const HklLattice *self);

print into a file the lattice.

[skip]

## Types and Values

### HklLattice

    typedef struct {
    	HklParameter *a;
    	HklParameter *b;
    	HklParameter *c;
    	HklParameter *alpha;
    	HklParameter *beta;
    	HklParameter *gamma;
    	HklParameter *volume;
    } HklLattice;

### HKL_LATTICE_ERROR

    #define HKL_LATTICE_ERROR hkl_lattice_error_quark ()

### enum HklLatticeError

#### Members

HKL_LATTICE_CHECK_LATTICE |  |